<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
                name="viewModel"
                type="co.th.shipmeuser.ui.main.basket.BasketViewModel" />
    </data>

    <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:padding="@dimen/dimen_20dp">

        <Spinner
                android:id="@+id/sp_province"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dimen_40dp"
                android:layout_marginTop="@dimen/dimen_20dp"
                app:setSpinnerAdapter="@{viewModel.provinceAdapter}" />

        <Spinner
                android:id="@+id/sp_district"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dimen_40dp"
                android:layout_marginTop="@dimen/dimen_20dp"
                app:setSpinnerAdapter="@{viewModel.districtAdapter}" />

        <Spinner
                android:id="@+id/sp_sub_district"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dimen_40dp"
                android:layout_marginTop="@dimen/dimen_20dp"
                app:setSpinnerAdapter="@{viewModel.subDistrictAdapter}" />

        <EditText
                android:id="@+id/et_post_code"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dimen_40dp"
                android:layout_marginTop="@dimen/dimen_20dp"
                android:enabled="false"
                android:background="@drawable/edittext_style"
                android:hint="รหัสไปรษณีย์"
                android:padding="@dimen/dimen_5dp"
                android:text="@={viewModel.postCost}"
                android:textSize="@dimen/text_size_14sp" />

        <EditText
                android:id="@+id/et_address"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dimen_100dp"
                android:layout_marginTop="@dimen/dimen_20dp"
                android:background="@drawable/edittext_style"
                android:hint="ที่อยู่"
                android:padding="@dimen/dimen_5dp"
                android:text="@={viewModel.address}"
                android:textSize="@dimen/text_size_14sp" />

        <EditText
                android:id="@+id/et_phone"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dimen_40dp"
                android:layout_marginTop="@dimen/dimen_20dp"
                android:background="@drawable/edittext_style"
                android:hint="เบอร์โทรศัพท์"
                android:inputType="phone"
                android:maxLength="10"
                android:padding="@dimen/dimen_5dp"
                android:text="@={viewModel.phone}"
                android:textSize="@dimen/text_size_14sp" />

        <LinearLayout
                android:id="@+id/ll_button"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dimen_40dp"
                android:layout_marginBottom="@dimen/dimen_40dp"
                android:gravity="center"
                android:orientation="horizontal">

            <Button
                    android:id="@+id/btn_add_address"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@color/blackPrimary"
                    android:enabled="true"
                    android:text="ถัดไป"
                    android:textColor="@color/lightGrey" />

            <Button
                    android:id="@+id/btn_cancel_add"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dimen_10dp"
                    android:background="@color/blackPrimary"
                    android:enabled="true"
                    android:text="@string/cancel_title"
                    android:textColor="@color/lightGrey" />
        </LinearLayout>
    </LinearLayout>
</layout>